Skip to main content
GET
/
v0
/
tenant
/
webhook
/
notifications
Load webhook notifications
curl --request GET \
  --url https://api.sandbox.getasset.com/v0/tenant/webhook/notifications \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "datetime": "2023-11-07T05:31:56Z",
      "notification": {
        "content": {
          "business_id": "biz_2xPQDLmNeWsrahR4bj3oGc9i6Nb",
          "timestamp": "2026-01-01T12:01:00Z"
        },
        "type": "TASKS_REQUEST_COMPLETED"
      }
    }
  ],
  "pagination": {
    "next_page_token": "<string>",
    "previous_page_token": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

webhook_id
string<whk_string> | null

When provided, it returns all webhook notifications created after this id.

Example:

"whk_N5L7eAc4PsHfZViqAMbFE7"

status

Filter webhook notifications by one or more statuses, comma-separated

page_token
string | null

The page token to for the next or previous page

page_size
integer
default:100
Required range: 1 <= x <= 100

Response

Successful Response

data
WebhookNotificationPublic · object[]
required
pagination
PaginationResponse · object
required